Skip to content

ErpHub API (1)

API for ErpHub

Download OpenAPI description
Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/accounting/erp-hub/openapi/erphub-openapi
ErpHub API
https://erphub-api.aritma.io
ErpHub API (Dev)
https://erphub-api.dev.aritma.io

Account

Handles account related operations.

Operations

Bookkeeping

Handles the bookkeeping for the client

Operations

Replaces the existing transaction filters of a specific bookkeeping rule for the given client. The rule is identified by its unique rule ID. All current filters will be removed and replaced with the filters provided in the request body.

Request

Path
clientIdstring(uuid)required
ruleIdstring(uuid)required
BodyArray [
fieldstring(BookkeepingFilterField)
Enum"Amount""Currency""ReferenceNumber""ArchiveReference""Description""InvoiceNumber""StructuredReference""AdditionalText""DebtorAddress""BookedAmount"
operationstring(FilterMatchType)
Enum"ExactText""ContainsText""StartsWithText""EndsWithText""ExactAmount""FromZeroToAmount""BelowAmount""AboveAmount"
]
[ { "field": "Amount", "operation": "ExactText" } ]

Responses

OK

Bodyapplication/json
linksobjectread-only
clientIdstring(uuid)
ruleIdstring(uuid)
Response
application/json
{ "links": { "property1": { … }, "property2": { … } }, "clientId": "5e505642-9024-474d-9434-e5a44f505cc5", "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac" }

CreateBookkeepingSetting

Request

Path
clientIdstring(uuid)required
Body
bankAccountNumberstringrequired
currencystringrequired
ledgerAccountstring or null
offsetAccountstring or null
feeAccountstring or null
remittanceFeeAccountstring or null
fallbackLedgerAccountstring or null
fallbackOffsetAccountstring or null
voucherSeriesstring or null
currencyNostring or null
currencyNo2string or null
voucherTypestring or null
agioVoucherTypestring or null
agioVoucherTypeForCurrency2string or null
isDefaultboolean
{ "bankAccountNumber": "string", "currency": "string", "ledgerAccount": "string", "offsetAccount": "string", "feeAccount": "string", "remittanceFeeAccount": "string", "fallbackLedgerAccount": "string", "fallbackOffsetAccount": "string", "voucherSeries": "string", "currencyNo": "string", "currencyNo2": "string", "voucherType": "string", "agioVoucherType": "string", "agioVoucherTypeForCurrency2": "string", "isDefault": true }

Responses

OK

Bodyapplication/json
linksobjectread-only
clientIdstring(uuid)
settingIdstring(uuid)
Response
application/json
{ "links": { "property1": { … }, "property2": { … } }, "clientId": "5e505642-9024-474d-9434-e5a44f505cc5", "settingId": "d95c2f35-4f41-47ad-8ae0-f642dbc3c5a6" }

GetBookkeepingSettings

Request

Path
clientIdstring(uuid)required
No request payload

Responses

OK

Bodyapplication/jsonArray [
linksobjectread-only
clientIdstring(uuid)
settingIdstring(uuid)
bankAccountNumberstringrequired
currencystringrequired
ledgerAccountstring or null
offsetAccountstring or null
feeAccountstring or null
remittanceFeeAccountstring or null
fallbackLedgerAccountstring or null
fallbackOffsetAccountstring or null
voucherSeriesstring or null
currencyNostring or null
currencyNo2string or null
voucherTypestring or null
agioVoucherTypestring or null
agioVoucherTypeForCurrency2string or null
isDefaultboolean
]
Response
application/json
[ { "links": { … }, "clientId": "5e505642-9024-474d-9434-e5a44f505cc5", "settingId": "d95c2f35-4f41-47ad-8ae0-f642dbc3c5a6", "bankAccountNumber": "string", "currency": "string", "ledgerAccount": "string", "offsetAccount": "string", "feeAccount": "string", "remittanceFeeAccount": "string", "fallbackLedgerAccount": "string", "fallbackOffsetAccount": "string", "voucherSeries": "string", "currencyNo": "string", "currencyNo2": "string", "voucherType": "string", "agioVoucherType": "string", "agioVoucherTypeForCurrency2": "string", "isDefault": true } ]

Clients

Handles ERP client related operations

Operations

Connection

Handles the connection between the ERPHub and the ERP

Operations

Integrations

Operations

Mandates

Controller for managing mandates.

Operations

Pay

Handles pay related operations.

Operations

Transaction

Handles ERP transaction related operations

Operations

Voucher

Controller responsible for handling voucher operations in the ERP Hub.

Operations